Make a sale with a saved payment method

Learn how to make a sale transaction via the API with a customer's saved payment method
View as MarkdownOpen in Claude
Applies to:Developers

You can make a sale transaction with a customer’s saved payment method, sometimes referred to as card-on-file or a payment token.

Pass the saved method’s token in as storedMethodId when authorizing or making a sale transaction.

POST
/api/v2/MoneyIn/getpaid
curl -X POST https://api-sandbox.payabli.com/api/v2/MoneyIn/getpaid \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"paymentDetails": {
"totalAmount": 100,
"serviceFee": 0
},
"paymentMethod": {
"initiator": "payor",
"method": "card",
"storedMethodId": "1ec55af9-7b5a-4ff0-81ed-c12d2f95e135-4440",
"storedMethodUsageType": "unscheduled"
},
"customerData": {
"customerId": 4440
},
"entryPoint": "8cfec329267",
"ipaddress": "255.255.255.255"
}'

See these related resources to help you get the most out of Payabli.